# Uses of Enum
com.clickhouse.jdbc.parser.LanguageType

Packages that use LanguageType
Package
Description
com.clickhouse.jdbc.parser

## Uses of LanguageType in com.clickhouse.jdbc.parser

Methods in com.clickhouse.jdbc.parser that return LanguageType
Modifier and Type
Method
Description
`LanguageType`
ClickHouseSqlStatement.`getLanguageType()`
Deprecated.
`static LanguageType`
LanguageType.`valueOf(String name)`
Deprecated.
Returns the enum constant of this type with the specified name.
`static LanguageType[]`
LanguageType.`values()`
Deprecated.
Returns an array containing the constants of this enum type, in the order they are declared.